### Method

# Foundry FileManager read_metadata

#### Declaration [src]

    DexFuture*
    foundry_file_manager_read_metadata (
      FoundryFileManager* self,
      GFile* file,
      const char* attributes
    )

#### Description [src]

Reads the metadata associated with a file.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`attributes`

  Type: `const char*`

  A string containing the `metadata::` attributes to query separated by a comma “,”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GFileInfo`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.